clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::Location Struct Reference

`#include <Representation.h>`

Collaboration diagram for clang::doc::Location:
[legend]

## Public Member Functions
| Location ()=default
| Location (int LineNumber, SmallString< 16 > Filename)
bool | operator== (const Location &Other) const

## Public Attributes
int | LineNumber
SmallString< 32 > | Filename

## Detailed Description

Definition at line 142 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ Location() [1/2]

clang::doc::Location::Location | ( |  | ) |
| default

## ◆ Location() [2/2]

clang::doc::Location::Location | ( | int | LineNumber,
|  | SmallString< 16 > | Filename
| ) |  |
| inline

Definition at line 144 of file Representation.h.

## Member Function Documentation

## ◆ operator==()

bool clang::doc::Location::operator== | ( | const Location & | Other | ) | const
| inline

Definition at line 147 of file Representation.h.

References Filename, Filename, and LineNumber.

## Member Data Documentation

## ◆ Filename

SmallString<32> clang::doc::Location::Filename

Definition at line 153 of file Representation.h.

Referenced by llvm::yaml::MappingTraits< Location >::mapping(), operator==(), and clang::doc::writeFileDefinition().

## ◆ LineNumber

int clang::doc::Location::LineNumber

Definition at line 152 of file Representation.h.

Referenced by llvm::yaml::MappingTraits< Location >::mapping(), operator==(), and clang::doc::writeFileDefinition().

The documentation for this struct was generated from the following file:

- Representation.h